Package com.pixelmed.display

# Class SourceImageSubset

java.lang.Object
com.pixelmed.display.SourceImage
com.pixelmed.display.SourceImageSubset

public class SourceImageSubset extends SourceImage

A class that encapsulates a subset of frame sin a multi-frame SourceImage.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SourceImage`
`parent`
`protected int[]`
`parentFrameNumbers`

### Fields inherited from class com.pixelmed.display.SourceImage

`allowDeferredReadFromFileIfNotMemoryMapped, allowMemoryMapping, allowMemoryMappingFromMultiplePerFrameFiles, applyICCProfileIfPresent, bufferedImageSource, memoryMappedByteBuffers, memoryMappedFileChannel, memoryMappedFileChannels, memoryMappedFileInputStream, memoryMappedFileInputStreams, memoryMapperNumberOfRetries, memoryMapperRetriesBeforeSleeping, memoryMapperSleepTimeBetweenRetries`

## Constructor Summary

Constructors
Constructor
Description
`SourceImageSubset(SourceImage parent, int[] parentFrameNumbers)`
`SourceImageSubset(SourceImage parent, SortedSet<Integer> frames)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`getBackgroundValue()`
`BufferedImage`
`getBufferedImage(int i)`
Make a BufferedImage for the selected frame.
`Dimension`
`getDimension()`
`DisplayShutter`
`getDisplayShutter()`
`int`
`getHeight()`
`int`
`getMaskValue()`
`double`
`getMaximum()`
`double`
`getMinimum()`
`ModalityTransform`
`getModalityTransform()`
`int`
`getNumberOfBufferedImages()`
`int`
`getNumberOfFrames()`
`Overlay`
`getOverlay()`
`int`
`getPadRangeLimit()`
`int`
`getPadValue()`
`int`
`getPaletteColorBitsPerEntry()`
`short[]`
`getPaletteColorBlueTable()`
`int`
`getPaletteColorFirstValueMapped()`
`short[]`
`getPaletteColorGreenTable()`
`int`
`getPaletteColorLargestGray()`
`int`
`getPaletteColorNumberOfEntries()`
`short[]`
`getPaletteColorRedTable()`
`RealWorldValueTransform`
`getRealWorldValueTransform()`
`SUVTransform`
`getSUVTransform()`
`String`
`getTitle()`
`VOITransform`
`getVOITransform()`
`int`
`getWidth()`
`boolean`
`isGrayscale()`
`boolean`
`isInverted()`
`boolean`
`isPadded()`
`boolean`
`isSigned()`
`boolean`
`isYBR()`

### Methods inherited from class com.pixelmed.display.SourceImage

`clean, createBandInterleavedByteThreeComponentColorImage, createBandInterleavedShortThreeComponentColorImage, createByteGrayscaleImage, createDoubleGrayscaleImage, createFloatGrayscaleImage, createPixelInterleavedByteThreeComponentColorImage, createPixelInterleavedShortThreeComponentColorImage, createSignedShortGrayscaleImage, createUnsignedShortGrayscaleImage, finalize, getBufferedImage, getBufferedImage, getBufferedImage, getByteBuffersFromOtherAttributeOnDisk, getByteBuffersFromOtherByteAttributeMultipleFilesOnDisk, getShortBuffersFromOtherWordAttributeOnDisk, isImage, setAllowDeferredReadFromFileIfNotMemoryMapped, setAllowMemoryMapping, setAllowMemoryMappingFromMultiplePerFrameFiles, setClipRect`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parent

protected SourceImage parent

### parentFrameNumbers

protected int[] parentFrameNumbers

## Constructor Details

### SourceImageSubset

public SourceImageSubset(SourceImage parent, int[] parentFrameNumbers)

### SourceImageSubset

public SourceImageSubset(SourceImage parent, SortedSet<Integer> frames)

## Method Details

### close

public void close() throws Throwable

Overrides:
  `close` in class `SourceImage`
Throws:
  `Throwable`

### getBufferedImage

public BufferedImage getBufferedImage(int i)
Description copied from class: `SourceImage`

Make a BufferedImage for the selected frame.

The BufferedImage will have the bit depth and photometric interpretation of the original SourceImage.

If it is an RGB photometric interpretation, and an ICC profile is present, it will be applied.

Overrides:
  `getBufferedImage` in class `SourceImage`
Parameters:
  `i` - frame number (from 0)
Returns:
  a BufferedImage for the selected frame

### getNumberOfBufferedImages

public int getNumberOfBufferedImages()

Overrides:
  `getNumberOfBufferedImages` in class `SourceImage`

### getWidth

public int getWidth()

Overrides:
  `getWidth` in class `SourceImage`

### getHeight

public int getHeight()

Overrides:
  `getHeight` in class `SourceImage`

### getDimension

public Dimension getDimension()

Overrides:
  `getDimension` in class `SourceImage`

### getMinimum

public double getMinimum()

Overrides:
  `getMinimum` in class `SourceImage`
Returns:
  the minimum pixel value, excluding any pixels in the padding value range

### getMaximum

public double getMaximum()

Overrides:
  `getMaximum` in class `SourceImage`
Returns:
  the maximum pixel value, excluding any pixels in the padding value range

### getMaskValue

public int getMaskValue()

Overrides:
  `getMaskValue` in class `SourceImage`

### isSigned

public boolean isSigned()

Overrides:
  `isSigned` in class `SourceImage`

### isInverted

public boolean isInverted()

Overrides:
  `isInverted` in class `SourceImage`

### isPadded

public boolean isPadded()

Overrides:
  `isPadded` in class `SourceImage`

### getPadValue

public int getPadValue()

Overrides:
  `getPadValue` in class `SourceImage`

### getPadRangeLimit

public int getPadRangeLimit()

Overrides:
  `getPadRangeLimit` in class `SourceImage`

### getBackgroundValue

public int getBackgroundValue()

Overrides:
  `getBackgroundValue` in class `SourceImage`

### isGrayscale

public boolean isGrayscale()

Overrides:
  `isGrayscale` in class `SourceImage`

### isYBR

public boolean isYBR()

Overrides:
  `isYBR` in class `SourceImage`

### getTitle

public String getTitle()

Overrides:
  `getTitle` in class `SourceImage`

### getNumberOfFrames

public int getNumberOfFrames()

Overrides:
  `getNumberOfFrames` in class `SourceImage`

### getPaletteColorLargestGray

public int getPaletteColorLargestGray()

Overrides:
  `getPaletteColorLargestGray` in class `SourceImage`

### getPaletteColorFirstValueMapped

public int getPaletteColorFirstValueMapped()

Overrides:
  `getPaletteColorFirstValueMapped` in class `SourceImage`

### getPaletteColorNumberOfEntries

public int getPaletteColorNumberOfEntries()

Overrides:
  `getPaletteColorNumberOfEntries` in class `SourceImage`

### getPaletteColorBitsPerEntry

public int getPaletteColorBitsPerEntry()

Overrides:
  `getPaletteColorBitsPerEntry` in class `SourceImage`

### getPaletteColorRedTable

public short[] getPaletteColorRedTable()

Overrides:
  `getPaletteColorRedTable` in class `SourceImage`

### getPaletteColorGreenTable

public short[] getPaletteColorGreenTable()

Overrides:
  `getPaletteColorGreenTable` in class `SourceImage`

### getPaletteColorBlueTable

public short[] getPaletteColorBlueTable()

Overrides:
  `getPaletteColorBlueTable` in class `SourceImage`

### getSUVTransform

public SUVTransform getSUVTransform()

Overrides:
  `getSUVTransform` in class `SourceImage`

### getRealWorldValueTransform

public RealWorldValueTransform getRealWorldValueTransform()

Overrides:
  `getRealWorldValueTransform` in class `SourceImage`

### getModalityTransform

public ModalityTransform getModalityTransform()

Overrides:
  `getModalityTransform` in class `SourceImage`

### getVOITransform

public VOITransform getVOITransform()

Overrides:
  `getVOITransform` in class `SourceImage`

### getDisplayShutter

public DisplayShutter getDisplayShutter()

Overrides:
  `getDisplayShutter` in class `SourceImage`

### getOverlay

public Overlay getOverlay()

Overrides:
  `getOverlay` in class `SourceImage`